Page MenuHomePhabricator

Link http://recommend.wmflabs.org from CX Suggestions as fallback
Closed, ResolvedPublic1 Story Points

Description

For recommending articles, CX has suggestion feature now in basic form. We do not have suggestion for all language pairs. But if we do not have suggestions to show, it might be good idea to give a link to http://recommend.wmflabs.org

http://recommend.wmflabs.org also does not provide suggestion for all language pairs, So we might need to do it conditionally.

The idea is to link it here:

Event Timeline

santhosh created this task.Sep 16 2015, 4:09 AM
santhosh raised the priority of this task from to Needs Triage.
santhosh updated the task description. (Show Details)
santhosh added subscribers: santhosh, leila.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 16 2015, 4:09 AM
Amire80 added a subscriber: Amire80.

Similarly to the "Magnus link", in the dashboard sidebar, right?

Amire80 triaged this task as Normal priority.Sep 16 2015, 9:27 AM
Amire80 set Security to None.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.

Similarly to the "Magnus link", in the dashboard sidebar, right?

No. Where we show "No suggestions". See screenshot above.

leila moved this task from Backlog to Radar on the GapFinder board.Sep 24 2015, 5:00 PM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 1 2015, 5:49 PM

We can add a link as a next step forward when showing the empty state:

leila added a comment.Oct 16 2015, 5:59 PM

@santhosh do you have a sense about which sprint this task will be addressed in? We'd like to get a sense of where we are so we can plan better on our end.

Amire80 edited a custom field.Oct 24 2015, 12:48 PM
Amire80 claimed this task.Oct 26 2015, 7:41 AM
Amire80 moved this task from Backlog to In Progress on the LE-CX7-Sprint 2 board.

Change 248852 had a related patch set uploaded (by Amire80):
Add a link to the experimental recommend tool

https://gerrit.wikimedia.org/r/248852

Change 248853 had a related patch set uploaded (by Amire80):
Change the alignment of the empty list messages

https://gerrit.wikimedia.org/r/248853

The change to show the link is committed, but I need the image for the bulb according to the design.

Amire80 moved this task from In Progress to Blocked on the LE-CX7-Sprint 2 board.Oct 26 2015, 11:16 AM

The graphic elements are these:


Amire80 moved this task from Blocked to In Progress on the LE-CX7-Sprint 2 board.Oct 26 2015, 12:02 PM

We can add a link as a next step forward when showing the empty state:

@Pginer-WMF, can you confirm you meant to left align the text in this? This is a style change from centered text we have already.( This is for reviewing https://gerrit.wikimedia.org/r/#/c/248853)

@Pginer-WMF, can you confirm you meant to left align the text in this? This is a style change from centered text we have already.( This is for reviewing https://gerrit.wikimedia.org/r/#/c/248853)

With the mockup I was focusing mainly on the copy, the alignment change was unintended.
I gave it a try and keeping the center alignment seems to work better in this context:

Nikerabbit moved this task from In Review to Blocked on the LE-CX7-Sprint 2 board.Oct 30 2015, 3:08 PM
Amire80 moved this task from Blocked to In Progress on the LE-CX7-Sprint 2 board.Nov 2 2015, 7:16 AM

Change 248853 abandoned by Amire80:
Change the alignment of the empty list messages

Reason:
Pau decided that this is not needed.

https://gerrit.wikimedia.org/r/248853

Change 248852 merged by jenkins-bot:
Add a link to the experimental recommend tool

https://gerrit.wikimedia.org/r/248852

Arrbee closed this task as Resolved.Nov 4 2015, 6:38 AM
Arrbee added a subscriber: Arrbee.

Next up is T111028 and this url will be removed when we have the recommendations included.

Arrbee raised the priority of this task from Normal to Unbreak Now!.Nov 4 2015, 6:38 AM
Arrbee lowered the priority of this task from Unbreak Now! to Normal.
Arrbee moved this task from In Review to Done on the LE-CX7-Sprint 2 board.